.input-tag-mapping-table {
    display: flex;
    flex-direction: column;
  
    .it-table-mapping-actions {
      width: 10%;
      display: flex;
      justify-content: space-evenly;
      .btn {
        margin: 0;
        border-radius: 0;
        border: 1px solid rgba(104, 104, 104, 0.5);
      }
      .it-save-mapping {
        background-color: var(--tile-bg) !important;
        &:hover,
        &:focus,
        &:active:hover,
        &:active:focus,
        &:hover:focus,
        &:active {
          background-color: var(--tile-bg) !important;
          background-size: 18px;
        }
      }
      .it-cancel-mapping {
        background-color: var(--tile-bg) !important;
        &:hover,
        &:focus,
        &:active:hover,
        &:active:focus,
        &:hover:focus,
        &:active {
          background-color: var(--tile-bg) !important;
          background-size: 20px;
        }
      }
      .edit-btn {
        background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
        background-color: var(--tile-bg);
        &:hover,
        &:focus,
        &:active:hover,
        &:active:focus,
        &:hover:focus,
        &:active {
          background: url(/assets/new-icons/edit_pencil.svg) center no-repeat;
          background-size: 18px;
          background-color: var(--tile-bg);
        }
      }
      .delete-btn {
        background: url(/assets/new-icons/delete_bin.svg) center no-repeat;
        background-color: var(--tile-bg);
        &:hover,
        &:focus,
        &:active:hover,
        &:active:focus,
        &:hover:focus,
        &:active {
          background: url(/assets/new-icons/delete_bin.svg) center no-repeat;
          background-size: 16px;
          background-color: var(--tile-bg);
        }
      }
    }
  
    .it-row-col-1 {
      width: 25%;
      padding: 15px 20px;
    }
  
    .it-row-col-2 {
      width: 65%;
      padding: 15px 10px;
    }
  
    .it-mapping-table-header {
      display: flex;
      flex-direction: row;
      background-color: #f9f9fb;
      text-transform: uppercase;
      color: #333;
      font-size: var(--font-s);
      font-weight: 600;
    }
  
    .it-mapping-table-rows {
      .it-table-row {
        display: flex;
        color: #333;
        font-weight: 500;
        flex-direction: row;
        align-items: center;
        font-size: var(--font-s);
        border-bottom: 1px solid #EEF2F5;
      }
  
      .it-table-row.it-row-display-mode {
        .react-tagsinput {
          padding-left: 0;
          border: none !important;
          .react-tagsinput-input {
            display: none;
          }
          .react-tagsinput-tag {
            border-radius: 0 !important;
            color: #333 !important;
            border: 1px solid rgba(104, 104, 104, 0.5) !important;
          }
        }
        .it-table-mapping-actions {
          display: none;
        }
      }
  
      .it-row-display-mode:hover {
        background-color: #EEF2F5;
        .react-tagsinput {
          background-color: #EEF2F5;
        }
        .it-table-mapping-actions {
          display: flex;
        }
      }
  
      .it-table-row.it-row-edit-mode {
        background-color: #EEF2F5;
        .it-row-col-1 {
          display: flex;
          flex-direction: column;
          align-self: flex-end;
          .field-section {
            padding: 0;
            .field__label {
              display: none;
            }
            input, input:focus {
              padding: 0;
              border: none;
              background-color: #EEF2F5;
              border-bottom: 1px solid rgba(104, 104, 104, 0.5);
            }
          }
        }
        .react-tagsinput, .react-tagsinput--focused {
          border: none !important;
          background-color: #EEF2F5;
          border-bottom: 1px solid rgba(104, 104, 104, 0.5) !important;
          .react-tagsinput-tag {
            padding: 0 5px;
            color: #333 !important;
            border-radius: 0 !important;
            border: 1px solid rgba(104, 104, 104, 0.5) !important;
          }
          a::before {
            font-size: 16px;
            margin-left: 8px;
            color: #686868;
            font-weight: lighter;
            text-decoration: none;
            content: "\2715" !important;
          }
        }
        .tag-error {
          color: red;
          display: block;
          min-height: 17px;
          font-family: var(--font-first);
          font-size: var(--font-s);
        }
      }
    }
  }